QGIS Application - Bug report #19556
QGIS 3.2.1 - WMS server URL not accepted
2018-08-07 10:37 AM - Armand Bahi

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.2.1
Operating System: Ubuntu 18
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 27383

Description

| have a WMS server running with mapserver on

https://demo.veremes.net/wms/public/cd59 raster?service=WMS&#38;version=1.3.0&#38;request=GetCapabilities

When adding the layer | got the "Invalid Layer : Raster layer Provider is not valid" error

But if | copy the GetCapabilities result on a file and put it on https://demo.veremes.net/cd59 raster then it works

It seems like something on the first URL is not accepted

History

#1 - 2018-08-07 10:56 AM - Giovanni Manghi
- Status changed from Open to Feedback
- File Screenshot 20180807 _095612.png added

Just tested on master and looks fine here (see attached image).

#2 - 2018-08-07 12:42 PM - Armand Bahi

I've tried on Windows and it works too, it seems the problem is on the linux version (tested on 3.2.1+28bionic amd64)

#3 - 2018-08-07 01:38 PM - Giovanni Manghi

Armand Bahi wrote:

I've tried on Windows and it works too, it seems the problem is on the linux version (tested on 3.2.1+28bionic amd64)

try clean the cache in your qgis linux installation.

#4 - 2018-08-08 05:14 PM - Armand Bahi

It doesn't change anything
https://demo.veremes.net/wms/public/cd59_raster?service=WMS&#38;version=1.3.0&#38;request=GetCapabilities
https://demo.veremes.net/cd59_raster

#5 - 2018-08-08 06:58 PM - Giovanni Manghi

Armand Bahi wrote:

It doesn't change anything

on the same network does it work on a different machine?

#6 - 2018-08-12 01:30 PM - Robert Rigo

I may have similar problem. | want to load _http://geoportal.dgu.hr/services/inspire/orthophoto_2014-2016/wms into qGIS 3.2.1 but | get error "Invalid

Layer : Raster layer Provider is not valid (provider: wms, URI:
crs=EPSG:3765&dpiMode=7&format=image/png&layers=0l.Ortholmagery&styles=&url=http://geoportal.dgu.hr/services/inspire/orthophoto_2014-2016/wms".
ms".

But, when | load WMS layer in 2.18.20, it loads like charm. Then | save project file in 2.18.20. Then | open project file (saved in 2.18.20) in 3.2.1. and WMS
layer is there which is strange. Then | remove WMS layer in 3.2.1 and try to load same layer in 3.2.1 and | get same error. | am using Windows 7. BTW: this

is my first issue report, sorry if | did it wrong.

#7 - 2018-08-12 09:30 PM - Giovanni Manghi

Robert Rigo wrote:

I may have similar problem. | want to load _http.//geoportal.dgu.hr/services/inspire/orthophoto_2014-2016/wms into qGIS 3.2.1 but | get error

"Invalid Layer : Raster layer Provider is not valid (provider: wms, URI:
crs=EPSG:3765&dpiMode=7&format=image/png&layers=0I.Ortholmagery&styles=&url=http://geoportal.dgu.hr/services/inspire/orthophoto_2014-2016/wms"

16/wms".

But, when | load WMS layer in 2.18.20, it loads like charm. Then | save project file in 2.18.20. Then | open project file (saved in 2.18.20) in 3.2.1.
and WMS layer is there which is strange. Then | remove WMS layer in 3.2.1 and try to load same layer in 3.2.1 and | get same error. | am using

Windows 7. BTW: this is my first issue report, sorry if | did it wrong.

on what OS do you observe this?

#8 - 2018-08-13 09:24 AM - Armand Bahi

So | tried on a Debian 9 and it worked correctly, I'm going to create a new Ubuntu 18 and test on it

#9 - 2018-08-13 10:21 AM - Armand Bahi

Seems to work on an other Ubuntu18 machine, I'll reinstall it on mine, do you want to make some tests before 1 do it ?

#10 - 2018-08-13 10:24 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to invalid
Armand Bahi wrote:

Seems to work on an other Ubuntu18 machine, I'll reinstall it on mine, do you want to make some tests before | do it ?

this suggest the issue is caused by something very specific in your original qgis installation, hard to say what exactly. If you find it please reopen this ticket.

#11 - 2018-08-13 08:30 PM - Robert Rigo

Giovanni Manghi wrote:

Robert Rigo wrote:
I may have similar problem. | want to load _ http://geoportal.dgu.hr/services/inspire/orthophoto_2014-2016/wms into qGIS 3.2.1 but | get error
"Invalid Layer : Raster layer Provider is not valid (provider: wms, URI:
crs=EPSG:3765&dpiMode=7&format=image/png&layers=0I.Ortholmagery&styles=&url=http://geoportal.dgu.hr/services/inspire/orthophoto_2014-2016/wm:

016/wms".

But, when | load WMS layer in 2.18.20, it loads like charm. Then | save project file in 2.18.20. Then | open project file (saved in 2.18.20) in 3.2.1.
and WMS layer is there which is strange. Then | remove WMS layer in 3.2.1 and try to load same layer in 3.2.1 and | get same error. | am using

Windows 7. BTW: this is my first issue report, sorry if | did it wrong.

on what OS do you observe this?

On Windows 7. Should | open new ticket, since this one is closed?

#12 - 2018-08-13 08:32 PM - Giovanni Manghi

On Windows 7. Should | open new ticket, since this one is closed?

the observations above point to a local (installation? cache? network?) issues, not a qgis one. Please try on a different machine, in the same network (with

a clean installation/profile) and see if still does not work.

#13 - 2019-05-15 02:26 AM - Alex Hajnal

FWIW, clearing the QGIS cache (Settings — Options — Network — Cache settings — Clear) fixed the issue for me. I'm using QGIS 2.16.0 (GDAL/OGR

1.11.3).
